Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Nov 2023 13:36:04 +1100

Hi all,

On Tue, 17 Oct 2023 12:30:17 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   arch/arm64/kvm/arm.c
> 
> between commit:
> 
>   d8569fba1385 ("arm64: kvm: Use cpus_have_final_cap() explicitly")
> 
> from the arm64 tree and commit:
> 
>   ef150908b6bd ("KVM: arm64: Add generic check for system-supported vCPU features")
> 
> from the kvm-arm tree.
> 
> I fixed it up (I just used the latter) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the kvm tree and the arm64 tree.

-- 
Cheers,
Stephen Rothwell